local locale = GetLocale()
if locale ~= "enUS" and locale ~= "enGB" then
	return
end

local L = ww_localization

-- config.lua
L["WW_VERSION"] = "WeightsWatcher version: %s"
L["ACCT_VERSION"] = "  Account data version: %d.%d"
L["CHAR_VERSION"] = "  Character data version: %d.%d"
L["HELP_TEXT_HEADER"] = "WeightsWatcher help:"
L["HELP_TEXT_GENERAL"] = "Type /weightswatcher <arg> (or /ww <arg>)"
L["HELP_TEXT_CONFIG"] = "  config      opens the main configuration window"
L["HELP_TEXT_WEIGHTS"] = "  weights   opens the weights configuration window"
L["HELP_TEXT_VERSION"] = "  version    displays version information"
L["HELP_TEXT_HELP"] = "  help         displays this message"
L["HELP_TEXT_BUGS"] = "  Please report bugs at wowinterface.com or WeightsWatcher@gmail.com"
L["config"] = "config"
L["calculation"] = "calculation"
L["display"] = "display"
L["enchants"] = "enchants"
L["gems"] = "gems"
L["version"] = "version"
L["weights"] = "weights"

-- config.xml
L["CONF_WW_VER"] = "WeightsWatcher version: |cffffffff%s|r"
L["CONF_ACCT_VER"] = "  Account data version:   |cffffffff%d.%d|r"
L["CONF_CHAR_VER"] = "  Character data version: |cffffffff%d.%d|r"
L["CONF_CONTACT"] = "Contact: |cffffffff%s|r"
L["CONF_WEBPAGE"] = "Web page: |cffffffff%s|r"
L["CONF_DESC"] = "WeightsWatcher provides an easy way to compare items based\non their actual stats, as well as suggesting item enhancements."
L["CONFIG_WEIGHTS"] = "Configure Weights"
L["CALC_NAME"] = "Calculation"
L["CALC_OPTS"] = "Calculation Options"
L["DISPLAY_NAME"] = "Display"
L["DISPLAY_OPTS"] = "Display Options"
L["SHOW_WTS"] = "Show weights:"
L["SHOW_IDEAL_WTS"] = "Show ideally-enhanced weights:"
L["SHOW_IDEAL_ENHANCEMENTS"] = "Show ideal enhancements:"
L["SHOW_ALT_IDEAL_ENHANCEMENTS"] = "Show alternate ideal enhancements:"
L["SHOW_IDEAL_ENHANCEMENT_STATS"] = "Show ideal enhancement stats:"
L["SHOW_DEBUG"] = "Show parser debug information:"
L["SHOW_ENHANCEMENTS_WHEN"] = "Show enhancements when:"
L["HIDE_HINTS_TT"] = "Hides modifier key hints in tooltips"
L["HIDE_HINTS"] = "Hide tooltip hints"
L["SHOW_CLASS"] = "Show class names:"
L["SHOW_DIFF"] = "Show differences to current gear"
L["SHOW_DIFF_TT"] = "Shows the change in score compared to the currently equipped gear"
L["SHOW_ZEROES"] = "Show zero scores"
L["SHOW_ZEROES_TT"] = "Shows scores for weights that are zero (or negative)"
L["NORMALIZE"] = "Normalize weights"
L["NORMALIZE_TT"] = "Divides item scores by the total of all stats' values in that weight"
L["IDEAL_GEM_NAME"] = "Ideal Gems"
L["IDEAL_GEM_OPTS"] = "Ideal Gem Options"
L["USE_UE_GEMS_TT"] = "Consider gems that are Unique-Equipped"
L["USE_UE_GEMS"] = "Use Unique-Equipped Gems"
L["USE_JC_GEMS_TT"] = "Consider gems that are Jewelcrafter-Only"
L["USE_JC_GEMS"] = "Use Jewelcrafter-Only Gems"
L["USE_VP_GEMS_TT"] = "Consider gems that are purchasable with gold"
L["USE_VP_GEMS"] = "Use Vendor-Purchasable Gems"
L["USE_PVPVP_GEMS_TT"] = "Consider gems that are purchasable with PVP tokens"
L["USE_PVPVP_GEMS"] = "Use PVP Vendor-Purchasable Gems"
L["USE_PC_GEMS_TT"] = "Consider gems that are player crafted (usually but not always through Jewelcrafting)"
L["USE_PC_GEMS"] = "Use Crafted Gems"
L["USE_P_GEMS_TT"] = "Consider gems that are created by a proc (i.e. Wrath \"Perfect\" gems)"
L["USE_P_GEMS"] = "Use Procced Gems"
L["USE_D_GEMS_TT"] = "Consider gems that are dropped by a mob/zone"
L["USE_D_GEMS"] = "Use Dropped Gems"
L["USE_QR_GEMS_TT"] = "Consider gems that are quest rewards"
L["USE_QR_GEMS"] = "Use Quest Reward Gems"
L["MAX_GEM_QUAL"] = "Maximum Ideal Gem Quality:"
L["MATCH_SOCKET"] = "Obey socket colors"
L["MATCH_SOCKET_TT"] = "Chooses ideal gems that obey their socket color (even if that gives a lower overall score)"
L["ALWAYS_MATCH_SOCKET"] = "Even if the socket bonus is worthless"
L["ALWAYS_MATCH_SOCKET_TT"] = "Forces ideal gems to obey their socket color (even if the socket bonus has a 0 or negative score for that weight)"
L["IDEAL_ENCHANT_NAME"] = "Ideal Enchants"
L["IDEAL_ENCHANT_OPTS"] = "Ideal Enchant Options"
L["USE_PC_ENCH_TT"] = "Consider enchants that are player crafted (usually but not always through Enchanting)"
L["USE_PC_ENCH"] = "Use Crafted Enchants"
L["USE_PVPVP_ENCH_TT"] = "Consider enchants that are purchasable with PVP tokens"
L["USE_PVPVP_ENCH"] = "Use PVP Vendor-Purchasable Enchants"
L["USE_QR_ENCH_TT"] = "Consider enchants that are quest rewards"
L["USE_QR_ENCH"] = "Use Quest Reward Enchants"
L["USE_VP_ENCH_TT"] = "Consider enchants that are purchasable with gold"
L["USE_VP_ENCH"] = "Use Vendor-Purchasable Enchants"
L["USE_REP_ENCH"] = "Use enchants with rep requirements if my rep is:"
L["USE_BTA_ENCH_TT"] = "Use enchants that bind to account, regardless of rep"
L["USE_BTA_ENCH"] = "Use Bind to Account Enchants"
L["USE_PROF_ENCH"] = "Use enchants with profession reqs if my skill is:"

-- weights.xml
L["WEIGHTS_TITLE"] = "WeightsWatcher Weight Values"
L["WEIGHTS_ATTRIBUTION"] = "Default weights graciously provided by AskMrRobot.com"
L["WATCH_TT"] = "Watch this weight?"
L["Save"] = "Save"
L["Copy"] = "Copy"
L["Reset"] = "Reset"
L["Delete"] = "Delete"
L["Restore Defaults"] = "Restore Defaults"
L["New Weight"] = "New Weight"
L["CHOOSE_WEIGHT_NAME"] = "Please choose a class and name for your new weight:"
L["Create"] = "Create"
L["Cancel"] = "Cancel"
L["DEFAULT_COPY_NAME"] = "Copy of %s"

-- WeightsWatcher.lua
L["/ww"] = "/ww"
L["/weightswatcher"] = "/weightswatcher"
L["INVALID_ACCT_DATA"] = "Invalid account data found.  You can:                  \n       - Disable WeightsWatcher and reload your UI\n- Load the default settings                          \n\nWARNING: loading the default account settings will erase all customized weights and options."
L["INVALID_CHAR_DATA"] = "Invalid character data found.  You can:               \n       - Disable WeightsWatcher and reload your UI\n- Load the default settings                          \n\nLoading the default character settings will not affect your customized weights."
L["Load Defaults"] = "Load Defaults"
L["Disable WeightsWatcher"] = "Disable WeightsWatcher"
L["Titan's Grip"] = "Titan's Grip"
L["Dual Wield"] = "Dual Wield"
L["Use effects:"] = "Use effects:"
-- TODO: move this to patterns-stacking-equip-effects.lua
L["Stacking equip effects:"] = "Stacking equip effects:"
L["Sockets:"] = "Sockets:"
L["Socket Bonus:"] = "Socket Bonus:"
L["Active"] = "Active"
L["Inactive"] = "Inactive"
L["Gem Stats:"] = "Gem Stats:"
L["Enchant Stats:"] = "Enchant Stats:"
L["  Ideally-enhanced:"] = "  Ideally-enhanced:"
L["UNWEIGHTED_HINT"] = "|cffff0000* indicates unweighted effects|r (%d total)"
L["IDEAL_WTS_HINT"] = "<Press %s to show ideally-enhanced weights>"
L["IDEAL_ENHANCEMENTS_HINT"] = "<Press %s to show ideal enhancements>"
L["ENHANCEMENT_STATS_HINT"] = "<Press %s to show ideal enhancement stats>"
L["ALT_ENHANCEMENTS_HINT"] = "<Press %s to show alternate enhancements>"
L["WTS_HINT"] = "<Press %s to show weights>"
L["DEBUG_HINT"] = "<Press %s to show debug info>"
L["WARN_UNREC_GEMID"] = "WeightsWatcher: Warning: Unrecognized GemId: %d"
L["WARN_UNREC_SOCKET_COLOR"] = "WeightsWatcher: Warning: Unrecognized socket color: %s"
L["WARN_UNHAND_GEMID"] = "WeightsWatcher: Unhandled GemId: %d"
L["WEIGHT_CLASS_FORMAT"] = "%s - %s"
L["DURATION_COOLDOWN_FORMAT"] = "  %d s. duration, %d s. cooldown"
L["EFFECT_STAT_FORMAT"] = "  %d %s"
L["EFFECT_STACKS_FORMAT"] = "%d stacks"
L["TRIGGER_FORMAT"] = "    on %s"
L["INDENTED_STRING_FORMAT"] = "  %s"
L["DOUBLY_INDENTED_STRING_FORMAT"] = "    %s"
L["TREBLY_INDENTED_STRING_FORMAT"] = "      %s"
L["GEM_NAME_COLOR_FORMAT"] = "  %s (%s)"
L["MULTIPLE_GEM_FORMAT"] = "    (Option %d/%d) %s (%s)"
L["SINGLE_GEM_FORMAT"] = "    Using %s (%s)"
L["MULTIPLE_ENCHANT_FORMAT"] = "    (Option %d/%d) %s"
L["SINGLE_ENCHANT_FORMAT"] = "    Using %s"
L["ENHANCEMENT_STAT_FORMAT"] = "      %d %s"
L["SOCKET_BONUS_FORMAT"] = "    Socket Bonus"
L["Container"] = "Container"
L["Quiver"] = "Quiver"
L["Gem"] = "Gem"
L["Consumable"] = "Consumable"
L["Recipe"] = "Recipe"
L["PROF_NEW"] = "^You have gained the ([A-Z][%a '-]+) skill%.$"
L["PROF_SKILL_UP"] = "^Your skill in ([A-Z][%a '-]+) has increased to (%d+)%.$"
L["REP_CHANGE"] = "^Reputation with ([A-Z][%a ':-]+) ([di][en]creased) by (%d+)%."
L["increased"] = "increased"

-- weights.lua
L["Discard"] = "Discard"
L["WT_UNSAVED_CHANGES"] = "You have unsaved changes for this weight."
L["WT_DELETE_CONFIRM"] = "Are you sure you want to delete the %s weight named \"%s\"?"
L["WT_RESTORE_DEFAULTS_CONFIRM"] = "Are you sure you want to restore default weights?\n\nWeights whose names are white will be overwritten (the others will be left as they are)."
L["Okay"] = "Okay"
L["WT_EXISTS"] = "The %s weight named \"%s\" already exists.  Pick a different name."
L["CLASS_WEIGHT_HEADER_FORMAT"] = "%s - %s"

-- Upgrade.lua
L["UPGRADE_ERR_INV_DATA_TYPE"] = "WeightsWatcher: error: invalid data type \"%s\" passed to Upgrade()."
L["upgrade"] = "upgrade"
L["downgrade"] = "downgrade"
L["UPGRADE_ERR_NO_FUNC_TBL"] = "WeightsWatcher: error: no %s function table found."
L["LOADING_DEFAULTS"] = "WeightsWatcher: no %s data found, loading defaults."
L["account"] = "account"
L["character"] = "character"
L["UPGRADE_ATTEMPT"] = "WeightsWatcher: attempting to %s %s data from version %d.%d to %d.%d."
L["UPGRADE_ERR_NO_PATH"] = "WeightsWatcher: error: No %s data %s path found."
L["UPGRADE_ERR_GENERIC"] = "WeightsWatcher: %s data %s error."
L["UPGRADE_ERR_INF_LOOP"] = "WeightsWatcher: error: infinite loop in %s data %s."
L["UPGRADE_SUCCESS"] = "WeightsWatcher: %s data %s successful."
