local locale = GetLocale()
if locale ~= "enUS" and locale ~= "enGB" then
	return
end

local PreprocessLines = {
	{" +%(1 sec cooldown%)$", ""},
	{" +cannot be applied to items higher than level %d+%.$", ""},
	{"^use: attaches a ghost iron spike to your shield that sometimes deals %d+ to %d+ damage when you block with it%.[\r\n]+attaching a ghost iron spike to your shield causes it to become soulbound%.$", "ghost iron shield spike"},
	{"^use: attaches a ghost iron spike to your shield that sometimes deals %d+ damage when you block with it%.[\r\n]+attaching a ghost iron spike to your shield causes it to become soulbound%.$", "ghost iron shield spike"},
	{"^use: attaches a permanent scope to a bow or gun that sometimes increases ranged attack power by %d+ for 10 sec when dealing damage with ranged attacks%.[\r\n]+attaching this scope to a ranged weapon causes it to become soulbound%.$", "gnomish x-ray scope"},
	{"^use: attaches a pyrium spike to your shield that sometimes deals %d+ to %d+ damage when you block with it%.[\r\n]+attaching a pyrium spike to your shield causes it to become soulbound%.$", "pyrium shield spike"},
	{"^use: attaches a pyrium spike to your shield that sometimes deals %d+ damage when you block with it%.[\r\n]+attaching a pyrium spike to your shield causes it to become soulbound%.$", "pyrium shield spike"},
	{"^use: enchants a weapon to have a 15%% chance to inflict %d+ to %d+ fire damage to all enemies within 3 yards%.$", "fiery blaze"},
	{"^use: enchants a weapon to have a 15%% chance to inflict %d+ fire damage to all enemies within 3 yards%.$", "fiery blaze"},
	{"^use: permanently attaches a mirrored scope to a ranged weapon, sometimes increasi?n?g?e?s? critical strike by %d+ for 10 sec when dealing damage with ranged attacks%.[\r\n]+attaching this scope to a ranged weapon causes it to become soulbound%.$", "mirror scope"},
	{"^use: permanently attaches lord blastington's special scope to a ranged weapon, sometimes increasing agility by %d+ for 10 sec when dealing damage with ranged attacks%.[\r\n]+attaching this scope to a ranged weapon causes it to become soulbound%.$", "lord blastington's scope of doom"},
	{"^use: permanently enchant a melee weapon to cause your damaging spells and melee weapon hits to occasionally inflict additional frost damage and slow the target%. +slow effect does not work on targets 73 or higher%.$", "deathfrost"},
	{"^use: permanently enchant a melee weapon to cause your harmful spells to sometimes increase haste by %d+%.$", "black magic"},
	{"^use: permanently enchant a melee weapon to have a chance of reducing movement speed and doing additional damage against giants%.$", "giant slayer"},
	{"^use: permanently enchant a melee weapon to have a chance of stunning and doing additional damage against demons%.$", "demonslaying"},
	{"^use: permanently enchant a melee weapon to make your spells sometimes restore 100 mana to nearby party members%.$", "spellsurge"},
	{"^use: permanently enchant a melee weapon to occasionally grant you %d+ critical strike%. +only one instance of this effect can be active at a time%.$", "executioner"},
	{"^use: permanently enchant a melee weapon to occasionally heal nearby party members for %d+ to %d+ when attacking in melee%.$", "battlemaster"},
	{"^use: permanently enchant a melee weapon to occasionally heal nearby party members for %d+ when attacking in melee%.$", "battlemaster"},
	{"^use: permanently enchant a melee weapon to occasionally increase agility by %d+ and haste by 30%.$", "mongoose"},
	{"^use: permanently enchant a melee weapon to often chill the target, reducing their movement and attack speed%. +has a reduced effect for players above level 60%.$", "icy chill"},
	{"^use: permanently enchant a melee weapon to often heal for %d+ to %d+ and increase strength by %d+ for 15 sec%. when attacking in melee%. has a reduced effect for players above level 60%.$", "crusader"},
	{"^use: permanently enchant a melee weapon to often heal for %d+ and increase strength by %d+ for 15 sec%. when attacking in melee%. has a reduced effect for players above level 60%.$", "crusader"},
	{"^use: permanently enchant a melee weapon to often inflict a curse on the target, inflicting shadow damage and reducing their melee damage%.$", "unholy weapon"},
	{"^use: permanently enchant a melee weapon to often steal life from the enemy and give it to the wielder%. +has a reduced effect for players above level 60%.$", "lifestealing"},
	{"^use: permanently enchant a melee weapon to often strike for %d+ additional fire damage%.$", "fiery weapon"},
	{"^use: permanently enchant a melee weapon to sometimes disrupt elementals when struck by your melee attacks, dealing arcane damage and silencing them for 5 sec%.$", "elemental slayer"},
	{"^use: permanently enchant a melee weapon to sometimes heal the wielder when striking in melee%.$", "lifeward"},
	{"^use: permanently enchant a melee weapon to sometimes increase haste by %d+ for 12 sec when healing or dealing spell or melee damage%.$", "hurricane"},
	{"^use: permanently enchant a melee weapon to sometimes increase your attack power by %d+, but at the cost of reduced armor%.$", "berserking"},
	{"^use: permanently enchant a melee weapon to sometimes inflict fire damage%.$", "icebreaker"},
	{"^use: permanently enchant a weapon to often deal %d+ to %d+ nature damage to an enemy damaged by your spells or struck by your melee attacks%.$", "avalanche"},
	{"^use: permanently enchant a weapon to often deal %d+ nature damage to an enemy damaged by your spells or struck by your melee attacks%.$", "avalanche"},
	{"^use: permanently enchant a weapon to sometimes grant blade warding when striking an enemy%. +blade warding increases your parry by %d+ and inflicts %d+ to %d+ damage on your next parry%. +lasts 10 sec%.$", "blade ward"},
	{"^use: permanently enchant a weapon to sometimes grant blade warding when striking an enemy%. +blade warding increases your parry by %d+ and inflicts %d+ damage on your next parry%. +lasts 10 sec%.$", "blade ward"},
	{"^use: permanently enchant a weapon to sometimes heal you when damaging an enemy with spells and melee attacks%.$", "mending"},
	{"^use: permanently enchant a weapon to sometimes increase attack power by %d+ for 12 sec when striking in melee%.$", "landslide"},
	{"^use: permanently enchant a weapon to sometimes increase dodge by %d+ and movement speed by 10%% for 10 sec when striking in melee, stacking with passive movement speed effects%.$", "windwalk"},
	{"^use: permanently enchant a weapon to sometimes increase intellect by %d+ for 12 sec when dealing damage or healing with spells%.$", "power torrent"},
	{"^use: permanently enchant a weapon to sometimes increase spirit by %d+ for 15 sec when healing or dealing damage with spells%.$", "heartsong"},
	{"^use: permanently enchant your weapon to sometimes grant blood reserve when striking an enemy or inflicting damage with bleed attacks%. +when you fall below 35%% health, blood reserve restores %d+ to %d+ health%. +lasts 20 sec and stacks up to 5 times%.$", "blood draining"},
	{"^use: permanently enchants a melee weapon to make your damaging melee strikes sometimes activate a mogu protection spell, absorbing up to %d+ damage%.$", "colossus"},
	{"^use: permanently enchants a melee weapon to sometimes increase your dodge by %d+ for 7 sec when dealing melee damage%.$", "river's song"},
	{"^use: permanently enchants a melee weapon to sometimes increase your strength or agility by %d+ when dealing melee damage%. +your highest stat is always chosen%.$", "dancing steel"},
	{"^use: permanently enchants a melee weapon to sometimes inflict %d+ to %d+ additional elemental damage when dealing damage with spells and melee attacks%.$", "elemental force"},
	{"^use: permanently enchants a melee weapon to sometimes inflict %d+ additional elemental damage when dealing damage with spells and melee attacks%.$", "elemental force"},
	{"^use: permanently enchants? a melee weapon to sometimes increase your critical strike, haste, or mastery by %d+ for 12 sec when dealing damage or healing with spells and melee attacks%.$", "windsong"},
	{"^use: permanently enchants? a melee weapon to sometimes increase your intellect by %d+ when healing or dealing damage with spells%. +if less than 25%% of your mana remains when the effect is triggered, your spirit will also increase by %d+%.$", "jade spirit"},
	{"^use: attaches a permanent device to a bow or gun that sometimes launches a rabid critter, dealing additional damage to the target and increasing your agility by %d+ for 10 sec%.[\r\n]+attaching this device to a ranged weapon causes it to become soulbound%.$", "flintlocke's woodchucker"},
	{"^use: teaches you how to permanently enchant a melee weapon to cause your damaging spells and melee weapon hits to occasionally inflict additional frost damage and slow the target%.$", "deathfrost"},
	{"^use: teaches you how to permanently enchant a melee weapon to cause your harmful spells to sometimes increase haste%.$", "black magic"},
	{"^use: teaches you how to permanently enchant a melee weapon to have a chance of reducing movement speed and doing additional damage against giants%.$", "giant slayer"},
	{"^use: teaches you how to permanently enchant a melee weapon to have a chance of stunning and doing additional damage against demons%.$", "demonslaying"},
	{"^use: teaches you how to permanently enchant a melee weapon to make your spells sometimes restore %d+ mana to nearby party members%.$", "spellsurge"},
	{"^use: teaches you how to permanently enchant a melee weapon to occasionally grant you %d+ critical strike%.$", "executioner"},
	{"^use: teaches you how to permanently enchant a melee weapon to occasionally heal nearby party members for %d+ to %d+ when attacking in melee%.$", "battlemaster"},
	{"^use: teaches you how to permanently enchant a melee weapon to occasionally heal nearby party members for %d+ when attacking in melee%.$", "battlemaster"},
	{"^use: teaches you how to permanently enchant a melee weapon to occasionally increase agility by %d+ and attack speed slightly%.$", "mongoose"},
	{"^use: teaches you how to permanently enchant a melee weapon to often chill the target, reducing their movement and attack speed%. +has a reduced effect for players above level 60%.$", "icy chill"},
	{"^use: teaches you how to permanently enchant a melee weapon to often heal for %d+ to %d+ and increase strength by %d+ for 15 sec%. when attacking in melee%. has a reduced effect for players above level 60%.$", "crusader"},
	{"^use: teaches you how to permanently enchant a melee weapon to often heal for %d+ and increase strength by %d+ for 15 sec%. when attacking in melee%. has a reduced effect for players above level 60%.$", "crusader"},
	{"^use: teaches you how to permanently enchant a melee weapon to often inflict a curse on the target, inflicting shadow damage and reducing their melee damage%.$", "unholy weapon"},
	{"^use: teaches you how to permanently enchant a melee weapon to often steal life from the enemy and give it to the wielder%. +has a reduced effect for players above level 60%.$", "lifestealing"},
	{"^use: teaches you how to permanently enchant a melee weapon to often strike for %d+ additional fire damage%.$", "fiery weapon"},
	{"^use: teaches you how to permanently enchant a melee weapon to sometimes grant blood reserve when striking an enemy or inflicting damage with bleed attacks, healing you when your health is low%. +enchantment requires level 75%.$", "blood draining"},
	{"^use: teaches you how to permanently enchant a melee weapon to sometimes heal the wielder when striking in melee%.$", "lifeward"},
	{"^use: teaches you how to permanently enchant a melee weapon to sometimes increase intellect when healing or dealing damage with spells%. +also increases spirit if your mana is low%.$", "jade spirit"},
	{"^use: teaches you how to permanently enchant a melee weapon to sometimes increase your attack power at the cost of reduced armor%.$", "berserking"},
	{"^use: teaches you how to permanently enchant a melee weapon to sometimes increase your dodge when dealing melee damage%.$", "river's song"},
	{"^use: teaches you how to permanently enchant a melee weapon to sometimes increase your strength or agility by %d+ when dealing melee damage%.$", "dancing steel"},
	{"^use: teaches you how to permanently enchant a melee weapon to sometimes inflict fire damage%.$", "icebreaker"},
	{"^use: teaches you how to permanently enchant a weapon to sometimes grant blade warding when striking an enemy, increasing parry and inflicting damage on your next parry%. +enchantment requires level 75%.$", "blade ward"},
	{"^use: teaches you how to permanently enchant a weapon to sometimes increase attack power when striking with melee attacks%.$", "landslide"},
	{"^use: teaches you how to permanently enchant a weapon to sometimes increase dodge and movement speed when striking in melee%.$", "windwalk"},
	{"^use: teaches you how to permanently enchant a weapon to sometimes increase spell power when dealing damage or healing with spells%.$", "power torrent"},
}

local MatchLines = {}
for i = 3, #(PreprocessLines) do
	table.insert(MatchLines, PreprocessLines[i][1]:sub(1, -2))
end

local function oneOf(stat)
	return {stats = WeightsWatcher.newStatTable({[stat] = 1})}
end

ww_enchant_items = {MatchLines, {}, {}, PreprocessLines, {}, oneOf, "enchantItem"}
