local L = ww_localization

ww_trackedStats = {
	ww_statCategories["General"],
	ww_statCategories["Physical DPS"],
	ww_statCategories["Tanking"],
	ww_statCategories["Caster"],
	ww_statCategories["PVP"],
	ww_statCategories["Miscellaneous"],
	ww_statCategories["Individual Enchants"],
	[ww_statCategories["General"]] = {
		"critical strike",
		"haste",
		"indestructible",
		"leech",
		"mastery",
		"multistrike",
		"speed",
		"versatility",
		ww_statCategories["DPS"],
		[ww_statCategories["DPS"]] = {
			ww_statCategories["Enchant/Meta Gem Effects"],
			[ww_statCategories["Enchant/Meta Gem Effects"]] = {
				"threat reduction (percent)",
			},
		},
		ww_statCategories["Enchant/Meta Gem Effects"],
		[ww_statCategories["Enchant/Meta Gem Effects"]] = {
			"critical effect (percent)",
		},
	},
	[ww_statCategories["Physical DPS"]] = {
		"agility",
		"attack power",
		"strength",
		ww_statCategories["Melee DPS"],
		ww_statCategories["Ranged DPS"],
		ww_statCategories["Enchant/Meta Gem Effects"],
		[ww_statCategories["Melee DPS"]] = {
			"melee dps",
			"average melee weapon damage",
			"maximum melee weapon damage",
			"melee weapon speed",
			"meleeDamage",
			["meleeDamage"] = "ww_triggerFrame",
			ww_statCategories["Enchant/Meta Gem Effects"],
			[ww_statCategories["Enchant/Meta Gem Effects"]] = {
				"attack power against undead",
				"melee damage to beasts",
				"melee damage to elementals",
			},
		},
		[ww_statCategories["Ranged DPS"]] = {
			"ranged attack power",
			"ranged critical strike",
			"ranged dps",
			"ranged haste",
			"average ranged weapon damage",
			"maximum ranged weapon damage",
			"ranged weapon speed",
			"rangedDamage",
			ww_statCategories["Enchant/Meta Gem Effects"],
			["rangedDamage"] = "ww_triggerFrame",
			[ww_statCategories["Enchant/Meta Gem Effects"]] = {
				"flintlocke's woodchucker",
			},
		},
		[ww_statCategories["Enchant/Meta Gem Effects"]] = {
			"chance on melee or ranged hit to gain capacitance",
			"chance to increase physical haste",
			"weapon damage (percent)",
			"weapon damage vs undead (percent)",
		},
	},
	[ww_statCategories["Tanking"]] = {
		"armor",
		"avoidance",
		"bonus armor",
		"dodge",
		"health",
		"hp5",
		"parry",
		"stamina",
		ww_statCategories["Enchant/Meta Gem Effects"],
		[ww_statCategories["Enchant/Meta Gem Effects"]] = {
			"armor (percent)",
			"armor from items (percent)",
			"average damage dealt on block",
			"block value (percent)",
			"chance on being hit to gain 20% reduction to damage taken",
			"chance to restore health on hit",
			"damage absorption (2% chance)",
			"damage absorption (5% chance)",
			"parry (percent)",
			"spell damage taken reduction (percent)",
			"stamina (percent)",
			"threat (percent)",
		},
	},
	[ww_statCategories["Caster"]] = {
		"intellect",
		"spell power",
		"spirit",
		ww_statCategories["DPS"],
		ww_statCategories["Healing"],
		ww_statCategories["Enchant/Meta Gem Effects"],
		[ww_statCategories["DPS"]] = {
			"arcane spell damage",
			"fire spell damage",
			"frost spell damage",
			"holy spell damage",
			"nature spell damage",
			"shadow spell damage",
			ww_statCategories["Enchant/Meta Gem Effects"],
			"harmfulSpell",
			["harmfulSpell"] = "ww_triggerFrame",
			[ww_statCategories["Enchant/Meta Gem Effects"]] = {
				"chance on spell damage to gain 30% spell haste",
			},
		},
		[ww_statCategories["Healing"]] = {
			"mana",
			"mp5",
			"helpfulSpell",
			ww_statCategories["Enchant/Meta Gem Effects"],
			["helpfulSpell"] = "ww_triggerFrame",
			[ww_statCategories["Enchant/Meta Gem Effects"]] = {
				"chance on beneficial spell to make your spells cost no mana for 4 sec.",
				"chance to restore mana on spellcast",
				"mana (percent)",
			},
		},
		[ww_statCategories["Enchant/Meta Gem Effects"]] = {
			"chance to increase spell haste",
		},
	},
	[ww_statCategories["PVP"]] = {
		"pvp power",
		"pvp resilience",
		ww_statCategories["Enchant/Meta Gem Effects"],
		[ww_statCategories["Enchant/Meta Gem Effects"]] = {
			"chance to stun target",
			"increased stealth",
			"minor run speed",
			"sometimes heal on your crits",
			ww_statCategories["CC Resists/Reductions"],
			[ww_statCategories["CC Resists/Reductions"]] = {
				"disarm duration reduction (percent)",
				"disorient resist chance (percent)",
				"fear duration reduction (percent)",
				"fear resist chance (percent)",
				"silence duration reduction (percent)",
				"snare/root duration reduction (percent)",
				"spell reflect (percent)",
				"stun duration reduction (percent)",
				"stun resist chance (percent)",
			},
		},
	},
	[ww_statCategories["Miscellaneous"]] = {
		"mount speed (percent)",
		ww_statCategories["Resistances"],
		ww_statCategories["Professions"],
		[ww_statCategories["Resistances"]] = {
			"arcane resistance",
			"fire resistance",
			"frost resistance",
			"nature resistance",
			"shadow resistance",
		},
		[ww_statCategories["Professions"]] = {
			"fishing",
			"herbalism",
			"mining",
			"skinning",
		},
	},
	[ww_statCategories["Individual Enchants"]] = {
		"avalanche",
		"battlemaster",
		"berserking",
		"black magic",
		"blade ward",
		"blood draining",
		"colossus",
		"crusader",
		"dancing steel",
		"darkglow embroidery",
		"deathfrost",
		"demonslaying",
		"elemental force",
		"elemental slayer",
		"executioner",
		"fiery blaze",
		"fiery weapon",
		"ghost iron shield spike",
		"giant slayer",
		"gnomish x-ray scope",
		"heartsong",
		"hurricane",
		"icebreaker",
		"icy chill",
		"jade spirit",
		"landslide",
		"lifestealing",
		"lifeward",
		"lightweave embroidery",
		"lord blastington's scope of doom",
		"mending",
		"mirror scope",
		"mongoose",
		"power torrent",
		"pyrium shield spike",
		"river's song",
		"rune of cinderglacier",
		"rune of razorice",
		"rune of the fallen crusader",
		"spellsurge",
		"swordguard embroidery",
		"unholy weapon",
		"windsong",
		"windwalk",
	},
}

if ww_stackingEquipEffects then
	ww_triggerTypes = {"meleeDamage", "rangedDamage", "harmfulSpell", "helpfulSpell"}
end

ww_keyDetectors = {
	"Always",
	"Never",
	"Shift",
	"Control",
	"Alt",
	"Left Shift",
	"Right Shift",
	"Left Control",
	"Right Control",
	"Left Alt",
	"Right Alt",
	["Always"] = function() return true end,
	["Never"] = function() return false end,
	["Left Shift"] = IsLeftShiftKeyDown,
	["Right Shift"] = IsRightShiftKeyDown,
	["Shift"] = IsShiftKeyDown,
	["Left Alt"] = IsLeftAltKeyDown,
	["Right Alt"] = IsRightAltKeyDown,
	["Alt"] = IsAltKeyDown,
	["Left Control"] = IsLeftControlKeyDown,
	["Right Control"] = IsRightControlKeyDown,
	["Control"] = IsControlKeyDown,
}

ww_classNameOptions = {
	"Always",
	"Other Classes",
	"Never",
}

ww_defaultVars = {
	dataMajorVersion = 2,
	dataMinorVersion = 8,
	weightsList = {
		"DEATHKNIGHT",
		"DRUID",
		"HUNTER",
		"MAGE",
		"MONK",
		"PALADIN",
		"PRIEST",
		"ROGUE",
		"SHAMAN",
		"WARLOCK",
		"WARRIOR",
		["DEATHKNIGHT"] = {
			ww_specNames["Blood"],
			ww_specNames["Blood DPS"],
			ww_specNames["Frost"],
			ww_specNames["Frost DW"],
			ww_specNames["Unholy"],
			[ww_specNames["Blood"]] = {
				["melee dps"] = 2,
				["bonus armor"] = 1.5,
				strength = 1.4,
				mastery = 1.2,
				armor = 1.1,
				haste = 0.9,
				["critical strike"] = 0.85,
				stamina = 0.75,
				multistrike = 0.2,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Blood DPS"]] = {
				["melee dps"] = 2,
				["bonus armor"] = 1.5,
				strength = 1.4,
				["critical strike"] = 1.2,
				armor = 1.1,
				haste = 1,
				mastery = 0.9,
				stamina = 0.75,
				multistrike = 0.2,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Frost"]] = {
				["melee dps"] = 9.1,
				strength = 5.15,
				["attack power"] = 4.7,
				["critical strike"] = 2.8,
				haste = 2.7,
				mastery = 2.5,
				multistrike = 2.4,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Frost DW"]] = {
				["melee dps"] = (9.67 + 4.66) / 2,
				strength = 5.2,
				["attack power"] = 4.7,
				mastery = 3.5,
				haste = 3.1,
				["critical strike"] = 3,
				multistrike = 2.9,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Unholy"]] = {
				["melee dps"] = 9.67,
				strength = 6.1,
				["attack power"] = 5,
				mastery = 4.5,
				["critical strike"] = 4,
				multistrike = 3.75,
				haste = 3.5,
				triggers = {
					meleeDamage = true,
				},
			},
		},
		["DRUID"] = {
			ww_specNames["Balance"],
			ww_specNames["Feral"],
			ww_specNames["Guardian"],
			ww_specNames["Restoration"],
			[ww_specNames["Balance"]] = {
				["critical strike"] = 6,
				intellect = 5.5,
				["spell power"] = 4.9,
				mastery = 4,
				haste = 3.5,
				multistrike = 3,
				triggers = {
					harmfulSpell = true,
				},
			},
			[ww_specNames["Feral"]] = {
				["melee dps"] = 5.6,
				agility = 4.95,
				["attack power"] = 4.5,
				["critical strike"] = 1.9,
				multistrike = 1.7,
				mastery = 1.5,
				haste = 1.3,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Guardian"]] = {
				["bonus armor"] = 2,
				agility = 1.4,
				mastery = 1.2,
				armor = 1.1,
				multistrike = 1,
				stamina = 0.9,
				["critical strike"] = 0.85,
				haste = 0.7,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Restoration"]] = {
				intellect = 1,
				["spell power"] = 0.95,
				spirit = 0.8,
				haste = 0.7,
				mastery = 0.6,
				["critical strike"] = 0.5,
				multistrike = 0.45,
				triggers = {
					helpfulSpell = true,
				},
			},
		},
		["HUNTER"] = {
			ww_specNames["Beast Mastery"],
			ww_specNames["Marksmanship"],
			ww_specNames["Survival"],
			[ww_specNames["Beast Mastery"]] = {
				agility = 6.55,
				["attack power"] = 5.95,
				["ranged dps"] = 5,
				["critical strike"] = 4,
				haste = 3.5,
				multistrike = 3.25,
				mastery = 3,
				triggers = {
					rangedDamage = true,
				},
			},
			[ww_specNames["Marksmanship"]] = {
				["ranged dps"] = 9.15,
				agility = 5.25,
				["attack power"] = 4.75,
				["critical strike"] = 4,
				multistrike = 3.75,
				mastery = 3.5,
				haste = 3,
				triggers = {
					rangedDamage = true,
				},
			},
			[ww_specNames["Survival"]] = {
				["ranged dps"] = 7,
				agility = 6.7,
				["attack power"] = 6,
				multistrike = 4,
				["critical strike"] = 3.9,
				haste = 3.5,
				mastery = 3,
				triggers = {
					rangedDamage = true,
				},
			},
		},
		["MAGE"] = {
			ww_specNames["Arcane"],
			ww_specNames["Fire"],
			ww_specNames["Frost"],
			[ww_specNames["Arcane"]] = {
				intellect = 6.45,
				["spell power"] = 5.85,
				mastery = 3.9,
				haste = 3.7,
				multistrike = 3.1,
				["critical strike"] = 3.05,
				triggers = {
					harmfulSpell = true,
				},
			},
			[ww_specNames["Fire"]] = {
				intellect = 5.95,
				["spell power"] = 5.4,
				["critical strike"] = 3.8,
				haste = 3.45,
				multistrike = 3.2,
				mastery = 3.1,
				triggers = {
					harmfulSpell = true,
				},
			},
			[ww_specNames["Frost"]] = {
				intellect = 6.35,
				["spell power"] = 5.75,
				multistrike = 3.5,
				haste = 3.4,
				mastery = 3.2,
				["critical strike"] = 3.15,
				triggers = {
					harmfulSpell = true,
				},
			},
		},
		["MONK"] = {
			ww_specNames["Brewmaster"],
			ww_specNames["Brewmaster DW"],
			ww_specNames["Mistweaver"],
			ww_specNames["Windwalker"],
			ww_specNames["Windwalker DW"],
			[ww_specNames["Brewmaster"]] = {
				["bonus armor"] = 1.5,
				agility = 1.2,
				haste = 0.8,
				["critical strike"] = 0.75,
				armor = 0.7,
				multistrike = 0.65,
				mastery = 0.6,
				stamina = 0.4,
				["attack power"] = 0.25,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Brewmaster DW"]] = {
				["bonus armor"] = 1.5,
				agility = 1.2,
				haste = 0.8,
				["critical strike"] = 0.75,
				armor = 0.7,
				multistrike = 0.65,
				mastery = 0.6,
				stamina = 0.4,
				["attack power"] = 0.25,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Mistweaver"]] = {
				intellect = 1,
				["spell power"] = 0.9,
				spirit = 0.65,
				multistrike = 0.6,
				["critical strike"] = 0.55,
				haste = 0.5,
				mastery = 0.4,
				triggers = {
					helpfulSpell = true,
				},
			},
			[ww_specNames["Windwalker"]] = {
				["melee dps"] = 14.15,
				agility = 7,
				["attack power"] = 6.35,
				multistrike = 2.75,
				["critical strike"] = 2.5,
				haste = 2.45,
				mastery = 1.35,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Windwalker DW"]] = {
				["melee dps"] = (14.15 + 7.25) / 2,
				agility = 7,
				["attack power"] = 6.35,
				multistrike = 2.75,
				["critical strike"] = 2.5,
				haste = 2.45,
				mastery = 1.35,
				triggers = {
					meleeDamage = true,
				},
			},
		},
		["PALADIN"] = {
			ww_specNames["Holy"],
			ww_specNames["Protection"],
			ww_specNames["Retribution"],
			[ww_specNames["Holy"]] = {
				intellect = 1,
				["spell power"] = 0.75,
				spirit = 0.75,
				mastery = 0.7,
				haste = 0.65,
				["critical strike"] = 0.6,
				multistrike = 0.5,
				triggers = {
					helpfulSpell = true,
				},
			},
			[ww_specNames["Protection"]] = {
				mastery = 1,
				stamina = 0.96,
				["bonus armor"] = 0.95,
				versatility = 0.79,
				haste = 0.74,
				["critical strike"] = 0.71,
				armor = 0.59,
				multistrike = 0.49,
				strength = 0.49,
				["attack power"] = 0.36,
				["melee dps"] = 0.1,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Retribution"]] = {
				["melee dps"] = 9.9,
				strength = 4.85,
				["attack power"] = 4.4,
				haste = 3.5,
				mastery = 2.9,
				["critical strike"] = 2.8,
				multistrike = 2,
				triggers = {
					harmfulSpell = true,
					meleeDamage = true,
				},
			},
		},
		["PRIEST"] = {
			ww_specNames["Discipline"],
			ww_specNames["Holy"],
			ww_specNames["Shadow"],
			[ww_specNames["Discipline"]] = {
				intellect = 1,
				["spell power"] = 0.9,
				spirit = 0.8,
				["critical strike"] = 0.7,
				haste = 0.6,
				mastery = 0.55,
				multistrike = 0.5,
				triggers = {
					helpfulSpell = true,
				},
			},
			[ww_specNames["Holy"]] = {
				intellect = 1,
				["spell power"] = 0.9,
				multistrike = 0.8,
				spirit = 0.8,
				mastery = 0.75,
				["critical strike"] = 0.6,
				haste = 0.3,
				triggers = {
					helpfulSpell = true,
				},
			},
			[ww_specNames["Shadow"]] = {
				["intellect"] = 5.5,
				["critical strike"] = 5,
				["spell power"] = 5,
				haste = 4.9,
				multistrike = 4.5,
				mastery = 4,
				triggers = {
					harmfulSpell = true,
				},
			},
		},
		["ROGUE"] = {
			ww_specNames["Assassination"],
			ww_specNames["Combat"],
			ww_specNames["Subtlety"],
			[ww_specNames["Assassination"]] = {
				["melee dps"] = (7.6 + 2) / 2,
				agility = 7.25,
				["attack power"] = 6.55,
				mastery = 5,
				["critical strike"] = 4.75,
				multistrike = 4.5,
				haste = 4,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Combat"]] = {
				["melee dps"] = (9.3 + 2.8) / 2,
				agility = 6.5,
				["attack power"] = 5.9,
				multistrike = 5,
				haste = 4.5,
				["critical strike"] = 4,
				mastery = 3.75,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Subtlety"]] = {
				["melee dps"] = (9.95 + 2) / 2,
				agility = 7.1,
				["attack power"] = 5.6,
				multistrike = 5,
				["critical strike"] = 4.5,
				mastery = 4,
				haste = 3.75,
				triggers = {
					meleeDamage = true,
				},
			},
		},
		["SHAMAN"] = {
			ww_specNames["Elemental"],
			ww_specNames["Enhancement"],
			ww_specNames["Restoration"],
			[ww_specNames["Elemental"]] = {
				intellect = 5.2,
				["spell power"] = 4.7,
				mastery = 2.9,
				multistrike = 2.8,
				haste = 2.7,
				["critical strike"] = 2.35,
				triggers = {
					harmfulSpell = true,
				},
			},
			[ww_specNames["Enhancement"]] = {
				["melee dps"] = (5 + 4) / 2,
				agility = 6.3,
				["attack power"] = 5.7,
				mastery = 3.31,
				haste = 3.3,
				["critical strike"] = 2.95,
				multistrike = 2.8,
				triggers = {
					harmfulSpell = true,
					meleeDamage = true,
				},
			},
			[ww_specNames["Restoration"]] = {
				intellect = 1,
				["spell power"] = 0.75,
				spirit = 0.65,
				haste = 0.6,
				mastery = 0.55,
				["critical strike"] = 0.4,
				multistrike = 0.35,
				triggers = {
					helpfulSpell = true,
				},
			},
		},
		["WARLOCK"] = {
			ww_specNames["Affliction"],
			ww_specNames["Demonology"],
			ww_specNames["Destruction"],
			[ww_specNames["Affliction"]] = {
				intellect = 6.9,
				["spell power"] = 5.45,
				haste = 4.3,
				mastery = 4,
				["critical strike"] = 3.75,
				multistrike = 3.5,
				triggers = {
					harmfulSpell = true,
				},
			},
			[ww_specNames["Demonology"]] = {
				intellect = 5.9,
				["spell power"] = 4.55,
				haste = 3.4,
				mastery = 3,
				["critical strike"] = 2.9,
				multistrike = 2.8,
				triggers = {
					harmfulSpell = true,
				},
			},
			[ww_specNames["Destruction"]] = {
				intellect = 7.3,
				["spell power"] = 5.65,
				mastery = 4.6,
				["critical strike"] = 4.5,
				haste = 4,
				multistrike = 3.9,
				triggers = {
					harmfulSpell = true,
				},
			},
		},
		["WARRIOR"] = {
			ww_specNames["Arms"],
			ww_specNames["Fury"],
			ww_specNames["Fury TG"],
			ww_specNames["Protection"],
			[ww_specNames["Arms"]] = {
				["melee dps"] = 14.5,
				haste = 5,
				["critical strike"] = 4.5,
				strength = 4.2,
				["attack power"] = 3.8,
				mastery = 3.5,
				multistrike = 3,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Fury"]] = {
				["melee dps"] = (9.65 + 5.65) / 2,
				["critical strike"] = 5.5,
				strength = 5,
				["attack power"] = 4.5,
				mastery = 4,
				haste = 3,
				multistrike = 2.5,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Fury TG"]] = {
				["melee dps"] = 8.4,
				["critical strike"] = 5.5,
				strength = 5,
				["attack power"] = 4.5,
				mastery = 4,
				haste = 3,
				multistrike = 2.5,
				triggers = {
					meleeDamage = true,
				},
			},
			[ww_specNames["Protection"]] = {
				["bonus armor"] = 1.5,
				["critical strike"] = 1.1,
				mastery = 1,
				versatility = 0.9,
				strength = 0.85,
				haste = 0.82,
				armor = 0.8,
				stamina = 0.6,
				["minor run speed"] = 0.5,
				["attack power"] = 0.4,
				["melee dps"] = 0.3,
				multistrike = 0.3,
				avoidance = 0.15,
				leech = 0.1,
				triggers = {
					meleeDamage = true,
				},
			},
		},
	},
	options = {
		calculation = {
			useEffectUptimeRatio = 0.8,
		},
		enchants = {
			considerBoa = true,
			considerRep = "High enough",
			considerProfessions = "High enough",
			sources = {
				["Crafted"] = true,
				["PVP-Vendor"] = false,
				["Quest"] = false,
				["Vendor"] = true,
			},
		},
		gems = {
			breakSocketColors = true,
			neverBreakSocketColors = false,
			qualityLimit = 12,
			sources = {
				["Crafted"] = true,
				["Drop"] = false,
				["Procced"] = true,
				["PVP-Vendor"] = false,
				["Quest"] = false,
				["Vendor"] = true,
			},
			types = {
				["Jewelcrafter-Only"] = false,
				["Normal"] = true,
				["Unique-Equipped"] = false,
			},
		},
		tooltip = {
			hideHints = false,
			normalizeWeights = true,
			showAlternateEnhancements = "Alt",
			showClassNames = "Other Classes",
			showDebugInfo = "Never",
			showDifferences = true,
			showEnhancements = "Control",
			showEnhancementStats = "Always",
			showEnhancementsWhen = "Non-ideal applied",
			showIdealWeights = "Shift",
			showWeights = "Always",
			showZeroScores = false,
		},
	},
}

ww_defaultCharVars = {
	dataMajorVersion = 1,
	dataMinorVersion = 0,
	activeWeights = {},
}
